 IDENTIFICATION DIVISION.
 PROGRAM-ID.    guiex02.  
 AUTHOR. Rildo Pragana.         
 REMARKS.
    Example tcl/tk GUI program for Cobol.
*
 ENVIRONMENT DIVISION.
 CONFIGURATION SECTION.
 INPUT-OUTPUT SECTION.

 DATA DIVISION.
 WORKING-STORAGE SECTION.
    copy design4.
 77 FLAG-END	PIC X.

 PROCEDURE DIVISION.
  
  MOVE SPACES TO GUI4-COBOL-VARIABLES
 
  SET GUI4-CMD-DISPLAY TO TRUE
  MOVE "rildo-small.gif" to IMAGE
  SET RAD-A TO TRUE
  CALL "TCGUI" USING GUI4-GUI 

  PERFORM UNTIL DOEXIT-ON OR GUI4-EV-EXIT
	  SET GUI4-CMD-WAIT TO TRUE
	  CALL "TCGUI" USING GUI4-GUI
      DISPLAY "Event code: " GUI4-GUI-EVENT " --> " NO ADVANCING
	  PERFORM 100-SHOW-EVENT-NAME
	  IF GUI4-EV-PRESSED 
	  	DISPLAY GUI4-COBOL-VARIABLES
	  END-IF
  END-PERFORM.

  STOP RUN.
  
  100-SHOW-EVENT-NAME.
  EVALUATE TRUE
  WHEN GUI4-EV-PRESSED
  	DISPLAY "GUI4-EV-PRESSED"
  WHEN GUI4-EV-OPEN-FILE
    DISPLAY "GUI4-EV-OPEN-FILE"
  WHEN GUI4-EV-CLOSE-FILE
    DISPLAY "GUI4-EV-CLOSE-FILE"
  WHEN GUI4-EV-EXIT
    DISPLAY "GUI4-EV-EXIT"
  WHEN GUI4-EV-CUT
    DISPLAY "GUI4-EV-CUT"
  WHEN GUI4-EV-PASTE
    DISPLAY "GUI4-EV-PASTE"
  WHEN GUI4-EV-BG
    DISPLAY "GUI4-EV-BG"
  WHEN GUI4-EV-FG
    DISPLAY "GUI4-EV-FG"
  WHEN GUI4-EV-ABOUT
    DISPLAY "GUI4-EV-ABOUT"
  END-EVALUATE.
  
